%define name  perl-Mysql
%define real_name Msql-Mysql-modules
%define version 1.22_15
%define real_version 1.2215
%define release 5mdk

Summary:	DBD Mysql perl Emulation Layer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Databases
Source:		ftp://ftp.perl.com/CPAN/modules/by-module/DBD/%{real_name}-%{version}.tar.bz2
Patch:		%{real_name}-libpthread.patch.bz2
URL:		http://www.tcx.se/
Icon:		mysql.gif
Buildroot:	%{_tmppath}/%{name}-root
Prefix:		%{_prefix}
Requires:	perl, MySQL >= 3.23, perl-DBI
Requires:  	perl-ExtUtils-PerlPP
BuildRequires:	MySQL-devel >= 3.23, perl-Data-ShowTable
BuildRequires:  perl-ExtUtils-PerlPP perl-DBI
Packager: 	Jean-Michel Dault <jmdault@mandrakesoft.com>
Vendor: 	MandrakeSoft
Distribution: 	Linux-Mandrake

%description
DBD::mysql is an interface driver for connecting the DBMS independent
Perl-API DBI to the mysql DBMS. When you want to use mysql from
within perl, DBI and DBD::mysql are your best choice: Unlike "mysqlperl",
another option, this is based on a common standard, so your sources
will easily be portable to other DBMS's.


%prep
%setup -q -n %{real_name}-%{real_version}
%patch -p1

%build
%{__perl} Makefile.PL PREFIX=%{prefix} --noprompt --mysql-incdir=%{_prefix}/include/mysql --mysql-libdir=%{_prefix}/lib/mysql --mysql-install --nomsql-install --nomsql1-install -mysql-install-nodbd
%make CC='cc -DENGLISH' OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}

%clean 
#rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
chmod 0755 mysql/pmysql
cp mysql/pmysql $RPM_BUILD_ROOT%{_bindir}

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_bindir}/*
%{_libdir}/perl5/man/man3/*
%{perl_sitearch}/Bundle/DBD/*.pm
%{perl_sitearch}/DBD/*.pm
%{perl_sitearch}/Mysql/*.pm
%{perl_sitearch}/*.pm
%{perl_sitearch}/auto/DBD/mysql/*.so

%changelog
* Tue Mar 27 2001 David BAUDENS <baudens@mandrakesoft.com> 1.22_15-5mdk
- BuildRequires: perl-DBI

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 1.22_15-4mdk
- added documentation.
- removed filelist.

* Fri Sep  8 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.22_15-3mdk
- rebuilt with lmysqlclient_r (new implementation in MySQL)
- now requires ExtUtils-PerlPP
- took my template spec to be sure we include all files, including 
  /usr/bin/pmysql and Mysql::Statement

* Wed Aug 30 2000 Franois Pons <fpons@mandrakesoft.com> 1.22_15-2mdk
- created patch to add missing libpthread reference.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.22_15-1mdk
- 1.22_15.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.22_14-2mdk
- macroszifications
- add doc.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 1.22_14-1mdk
- 1.22_14.

* Wed May 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.22_11-2mdk
- Fix build for i486

* Tue Apr 04 2000 Franois Pons <fpons@mandrakesoft.com> 1.22_11-1mdk
- updated to 1.22.11.
- spec file clean.
- use of perl 5.6.0.

* Tue Dec 14 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- finish tidying files so it builds

* Sun Dec 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- backdown to 1.19_14 to match MySQL_GPL
- replace i386-linux w/ %%{_arch}

* Thu Dec 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Adapt specfile for Linux-Mandrake

